### Method

# Gimp Procedure create_config

#### Declaration [src]

    GimpProcedureConfig*
    gimp_procedure_create_config (
      GimpProcedure* procedure
    )

#### Description [src]

Create a `GimpConfig` with properties that match `procedure`‘s arguments.

Available since: | 3.0

#### Return value

Returns: | `GimpProcedureConfig`
| The new `GimpConfig`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.